<?php 
/** 
*
* @Control de presentación de los weblogs. "weblog.php"
* @versión: 5.4.2      @modificado: 17 de Febrero del 2007
* @autor: Victor
*
*/

require_once("lib.php");

function Matriz($tamaño,$color){
	for($i=0;$i<$tamaño;$i++){
		for($j=0;$j<$tamaño;$j++){
			fcontrast($color[$i],$color[$j],$contraste);
			$matriz[$i][$j]=$contraste;
			
			//debug -->
				$m.=$matriz[$i][$j].'<-valor  ';
				$m.=$i.'i  ';
				$m.=$j.'j  ||';
								}//for j
				$m.='<br>';
			//debug <--
			
		}//for i 
		return $m;
}//funcion MatrizContraste
function buscarpos($color1,$color,$tamaño,&$pos){
 $pos=-1;
 for($i=0;$i<$tamaño;$i++){
   if($color[$i]==$color1)
      $pos=$i;   
    }//for	

}//function Buscar

function ValuaContraste($color1,$color2,$color,$matriz,$tamaño,&$bol){
 buscarpos($color1,$color,$tamaño,$i);
 buscarpos($color2,$color,$tamaño,$j);
   if ($i<0||$j<0){
	     echo'ERROR no se encuentra el color en la funcion Value contraste <br>';	
    	 $bol=-1;
		}
	else{
	    if ($matriz[$i][$j]>480) 
	   		$bol=1;
		  else
			$bol=0;
	    echo $matriz[$i][$j].'Contraste<br>'; 
		 }
 }//function ValuaContraste	
/*
$color[0]='FF0000';
$color[1]='FFFFFF';
$color[2]='000000';
$color[3]='10FF00';

		echo $color[0].'<-color 0<br>';
		echo $color[1].'<-color 1<br>';
		echo $color[2].'<-color 2<br>';
		echo $color[3].'<-color 3<br>';
Matriz(4,$color,&$matriz);	

ValuaContraste('F1FFFF',$color[2],$color,$matriz,4,$bol);
echo $bol.'<- bol <br>';
*/
?>